# Uses of Class
org.apache.lucene.util.fst.FST.BytesReader

Packages that use FST.BytesReader
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of FST.BytesReader in org.apache.lucene.util.fst

  Fields in org.apache.lucene.util.fst declared as FST.BytesReader
  Modifier and Type
  Field
  Description
  `protected final FST.BytesReader`
  FSTEnum.`fstReader`
  `protected final FST.BytesReader`
  FSTEnum.`fstReader`
  Methods in org.apache.lucene.util.fst that return FST.BytesReader
  Modifier and Type
  Method
  Description
  `FST.BytesReader`
  FST.`getBytesReader()`
  Returns a `FST.BytesReader` for this FST, positioned at position 0.
  `FST.BytesReader`
  FSTReader.`getReverseBytesReader()`
  Get the reverse BytesReader for this FST
  `FST.BytesReader`
  OffHeapFSTStore.`getReverseBytesReader()`
  `FST.BytesReader`
  OnHeapFSTStore.`getReverseBytesReader()`
  Methods in org.apache.lucene.util.fst with parameters of type FST.BytesReader
  Modifier and Type
  Method
  Description
  `FST.Arc<T>`
  FST.`findTargetArc(int labelToMatch, FST.Arc<T> follow, FST.Arc<T> arc, FST.BytesReader in)`
  Finds an arc leaving the incoming arc, replacing the arc in place.
  `FST.Arc<T>`
  FST.`readArcByContinuous(FST.Arc<T> arc, FST.BytesReader in, int rangeIndex)`
  Reads a Continuous node arc, with the provided index in the label range.
  `FST.Arc<T>`
  FST.`readArcByDirectAddressing(FST.Arc<T> arc, FST.BytesReader in, int rangeIndex)`
  Reads a present direct addressing node arc, with the provided index in the label range.
  `FST.Arc<T>`
  FST.`readArcByIndex(FST.Arc<T> arc, FST.BytesReader in, int idx)`
  `static <T> FST.Arc<T>`
  Util.`readCeilArc(int label, FST<T> fst, FST.Arc<T> follow, FST.Arc<T> arc, FST.BytesReader in)`
  Reads the first arc greater or equal than the given label into the provided arc in place and returns it iff found, otherwise return `null`.
  `FST.Arc<T>`
  FST.`readFirstRealTargetArc(long nodeAddress, FST.Arc<T> arc, FST.BytesReader in)`
  `FST.Arc<T>`
  FST.`readFirstTargetArc(FST.Arc<T> follow, FST.Arc<T> arc, FST.BytesReader in)`
  Follow the `follow` arc and read the first arc of its target; this changes the provided `arc` (2nd arg) in-place and returns it.
  `FST.Arc<T>`
  FST.`readLastArcByContinuous(FST.Arc<T> arc, FST.BytesReader in)`
  Reads the last arc of a continuous node.
  `FST.Arc<T>`
  FST.`readLastArcByDirectAddressing(FST.Arc<T> arc, FST.BytesReader in)`
  Reads the last arc of a direct addressing node.
  `FST.Arc<T>`
  FST.`readNextArc(FST.Arc<T> arc, FST.BytesReader in)`
  In-place read; returns the arc.
  `FST.Arc<T>`
  FST.`readNextRealArc(FST.Arc<T> arc, FST.BytesReader in)`
  Never returns null, but you should never call this if arc.isLast() is true.